#!/bin/bash
set -euo pipefail
EPG=epg.xml
curl --compressed -sL https://i.mjh.nz/nz/epg.xml > "$EPG"
for p in ????-rename.patch; do
  echo Patching with $p
  patch -sNp1 -r $p.rej --fuzz=3 < $p || echo "Failed to apply patch $p" >&2
done
#for p in ????-remove.patch; do
#  echo Patching with $p
#  patch -sNp1 -r $p.rej --fuzz=3 < $p || echo "Failed to apply patch $p" >&2
#done
mythfilldatabase --file --sourceid 1 --xmlfile "$EPG"
